Upsert General Role Restriction
curl --request PUT \
--url https://api.egp.scale.com/v4/account-groups/general-role-restrictions/{role} \
--header 'Content-Type: application/json' \
--data '
{
"restriction_type": "user_group",
"restriction": {
"group_ids": [
"<string>"
]
}
}
'import requests
url = "https://api.egp.scale.com/v4/account-groups/general-role-restrictions/{role}"
payload = {
"restriction_type": "user_group",
"restriction": { "group_ids": ["<string>"] }
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({restriction_type: 'user_group', restriction: {group_ids: ['<string>']}})
};
fetch('https://api.egp.scale.com/v4/account-groups/general-role-restrictions/{role}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}account groups
Upsert General Role Restriction
Create or update a restriction for an account group general role in your organization. Only available for organizations that have role restrictions enabled and only performable by organization admins.
PUT
/
v4
/
account-groups
/
general-role-restrictions
/
{role}
Upsert General Role Restriction
Path Parameters
Available options:
admin Body
application/json
Response
Successful Response
⌘I

